Package com.pixelmed.display

# Class SuperimposedDicomImage

java.lang.Object
com.pixelmed.display.SuperimposedImage
com.pixelmed.display.SuperimposedDicomImage

public class SuperimposedDicomImage extends SuperimposedImage

A class that supports matching the geometry of a superimposed DICOM image and an underlying images, and creating BufferedImages suitable for drawing on an underlying image.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.display.SuperimposedImage

`SuperimposedImage.AppliedToUnderlyingImage`

## Field Summary

### Fields inherited from class com.pixelmed.display.SuperimposedImage

`cieLabScaled, DEFAULT_CLOSEST_SLICE_TOLERANCE_DISTANCE, superimposedGeometry, superimposedSourceImage`

## Constructor Summary

Constructors
Constructor
Description
`SuperimposedDicomImage(AttributeList list)`
`SuperimposedDicomImage(String filename)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`

### Methods inherited from class com.pixelmed.display.SuperimposedImage

`getAppliedToUnderlyingImage, getAppliedToUnderlyingImage, getIntegerScaledCIELabPCS, isSliceCloseEnoughToSuperimpose, isSliceCloseEnoughToSuperimpose`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SuperimposedDicomImage

public SuperimposedDicomImage(AttributeList list) throws DicomException

Parameters:
  `list` -
Throws:
  `DicomException`

### SuperimposedDicomImage

public SuperimposedDicomImage(String filename) throws DicomException, IOException

Parameters:
  `filename` -
Throws:
  `DicomException`
  `IOException`

## Method Details

### main

public static void main(String[] arg)

Parameters:
  `arg` - the underlying image file name, the superimposed image file name, and optionally the file name basis for a consumer format image rendering